Direct Debit

Payment Dates

Although our documentation advises in most cases to lodge ad-hoc collections at least 5 working days before collection, and new contracts at least 10 working days before first collection, DDCMS can handle collections with these periods reduced to 3 and 5 working days respectively - depending on your SUN.

If you're testing on our playpen server, please send an email to us if you wish to reduce the period dates on your test account.

If you're a live customer and wish to discuss the possibility of reducing your SUN delay periods, please raise a support case.

GET/client/{clientCode}/paymentdateGets the earliest first and subsequent payment dates currently allowed#
description:

Gets the earliest first and subsequent payment dates currently allowed

authorization:ApiKeyAuth
content-type: application/json
path parameters:
shared schema directDebit/path/client
{
  • clientCode
    string (≤ 6 chars)MandatoryThe client code provided in your welcome email.
}

Responses

200OK
response body:
{
  • NextFirstPaymentDate
    string (date-time)The earliest contract start/first collection date currently allowed by your SUN.
  • NextSubsequentPaymentDate
    string (date-time)The earliest adhoc payment date for active contracts after first collection currently allowed by your SUN.
}
Example request
Endpoint
GET /client/{clientCode}/paymentdate
cURL
curl -L -g -X GET 'https://ddcms.accesspaysuite.com/api/v3/client/{clientCode}/paymentdate' -H 'apiKey: {apiKey}'
Response
HTTP/1.1 200 OK

{
  "NextFirstPaymentDate": "2022-08-22T00:00:00+01:00",
  "NextSubsequentPaymentDate": "2022-08-19T00:00:00+01:00"
}